webdevqa.jp.net

Eclipse RCP:アプリケーションIDが見つかりません

私は初めてEclipse RCPアプリケーションを作成しようとしているので、ここでVogellaチュートリアルに従っています: http://www.vogella.com/articles/EclipseRCP/article.html

すべてのデフォルト設定を使用して新しいEclipse 4アプリケーションプロジェクトを作成しましたが、「Eclipseアプリケーションの起動」をクリックすると例外が発生します。エラーログには、解決できなかった複数のバンドルがリストされ、ログの最後にRuntimeException:No application idが見つかりませんでした。

チュートリアル/デフォルトにリストされている手順とはまったく異なります。ここで何が起こっているのでしょうか?

33
Neil Sainsbury

投稿して間もなく、これを修正するための特定の魔法の呪文を見つけました。

実行する必要があるのは、実行構成に移動することです(実行->実行構成)。 [プラグイン]タブを選択し、[必要なプラグインを追加]をクリックします。適用してから実行すると、動作するはずです。

おもしろいことに、この変更は一定の規則で忘れられているようです(バグはここにあります)。

49
Neil Sainsbury

上記のチュートリアルに、製品の起動に関する一般的な問題のリストを追加しました。ここにあります: 一般的な起動の問題に関するEclipse RCPチェックリスト

エクスポート後にアプリケーションが起動に失敗するため、起動構成の変更は間違ったソリューションであることに注意してください。

14
vogella

これは、異なるバージョンのEclipseを使用した結果である可能性があります(不明)。同じエラーが発生しました。説明されているように実行構成を変更しようとすると、ボタン、チェックボックス、または「必要なプラグインを追加する」と書かれたものは見つかりませんでした。しかし、私が見つけたのは、プラグインタブの上部にあるドロップダウンリストです。

で起動:

  1. すべてのワークスペースおよび有効なターゲットプラグイン
  2. 以下で選択したプラグインのみ
  3. 以下で選択された機能のみ

私はオプション2に設定されました。オプション1に切り替えて、「適用」をクリックしました。結果のRCPウィンドウには期待されるリストが含まれていませんでしたが、エラーはなくなりました...しかし、それはまったく別の問題だと思います。

2
Achim Schmitz

「必要なプラグインを追加」ボタンをクリックしましたが、何らかの理由で「アプリケーションIDが見つかりません」という問題が解決しませんでした。

私のために働いたのは、見つかった解決策です ここ 、それは:

  • 「実行>構成の実行...」に進みます
  • 実行構成を選択する
  • 「プラグイン」タブをクリックします
  • 以下にプラグインを追加します。

org.Eclipse.core.net

org.Eclipse.ui.ide.application

1
bookhuntress

私のために働いたのはEclipse Photonを使用している...だからサポートしているバージョンを確認してください。

0
Paramita G

必要なすべてのプラグインを追加しても実行できない場合、JREシステムライブラリRun Configurationsが最小要件を満たしていない場合にもこのエラーが発生しましたプラグインの実行環境(->plugin.xml||Bundle-RequiredExecutionEnvironmentin manifest)。

0
Campa

NeilsソリューションがEclipseによって忘れられる理由は、*。productファイルから製品を起動するたびに、Eclipseが実行構成をオーバーライドするためです。したがって、解決策は、実行構成ではなく* .productファイルの依存関係を調整することです。さらに、変更された構成に関する問題を回避するために、*。productファイルからEclipse RCPプロジェクトを常に起動することをお勧めします。

0
stefan